import { SDK } from "@meetkai/mka1";
const sdk = new SDK({
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
});
async function run() {
const result = await sdk.search.tables.createTable({
createTableRequest: {
name: "support_kb",
schema: {
fields: [
{
name: "id",
nullable: false,
type: "string",
},
{
name: "content",
nullable: false,
type: "string",
index: "FTS",
},
{
name: "category",
nullable: false,
type: "string",
},
{
name: "rating",
nullable: true,
type: "float",
},
{
name: "embedding",
nullable: false,
type: "vector",
dimensions: 3,
},
],
},
},
});
console.log(result);
}
run();{
"indices": [
{
"config": {
"type": "FTS"
},
"field": "content",
"index_type": "FTS"
}
],
"schema": {
"fields": [
{
"name": "id",
"nullable": false,
"type": "string"
},
{
"index": "FTS",
"name": "content",
"nullable": false,
"type": "string"
},
{
"name": "category",
"nullable": false,
"type": "string"
},
{
"name": "rating",
"nullable": true,
"type": "float"
},
{
"dimensions": 3,
"name": "embedding",
"nullable": false,
"type": "vector"
}
]
},
"table_name": "support_kb"
}Create a new table with the specified schema.
import { SDK } from "@meetkai/mka1";
const sdk = new SDK({
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
});
async function run() {
const result = await sdk.search.tables.createTable({
createTableRequest: {
name: "support_kb",
schema: {
fields: [
{
name: "id",
nullable: false,
type: "string",
},
{
name: "content",
nullable: false,
type: "string",
index: "FTS",
},
{
name: "category",
nullable: false,
type: "string",
},
{
name: "rating",
nullable: true,
type: "float",
},
{
name: "embedding",
nullable: false,
type: "vector",
dimensions: 3,
},
],
},
},
});
console.log(result);
}
run();{
"indices": [
{
"config": {
"type": "FTS"
},
"field": "content",
"index_type": "FTS"
}
],
"schema": {
"fields": [
{
"name": "id",
"nullable": false,
"type": "string"
},
{
"index": "FTS",
"name": "content",
"nullable": false,
"type": "string"
},
{
"name": "category",
"nullable": false,
"type": "string"
},
{
"name": "rating",
"nullable": true,
"type": "float"
},
{
"dimensions": 3,
"name": "embedding",
"nullable": false,
"type": "vector"
}
]
},
"table_name": "support_kb"
}Authenticate with your MKA1 API key at the API gateway: Authorization: Bearer <mka1-api-key>. For multi-user server-side integrations, also send X-On-Behalf-Of to identify the end user making the request.
Optional external user identifier for multi-user server-side integrations. Use this when acting on behalf of one of your end users.
Was this page helpful?